
CephFS - Bug #38844

mds: mds_cap_revoke_eviction_timeout is not used to initialize

Server::cap_revoke_eviction_timeout

03/21/2019 07:57 PM - Patrick Donnelly

Status: Resolved % Done: 0%

Priority: Urgent   

Assignee:    

Category:    

Target version: v15.0.0   

Source: Community (user) ceph-qa-suite:  

Tags:  Component(FS): MDS

Backport: nautilus,mimic,luminous Labels (FS):  

Regression: No Pull request ID: 26970

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Affected Versions:    

Description

The config value is only used if the user changes it while the MDS is running.

Related issues:

Copied to CephFS - Backport #39208: luminous: mds: mds_cap_revoke_eviction_ti... Resolved

Copied to CephFS - Backport #39209: nautilus: mds: mds_cap_revoke_eviction_ti... Resolved

Copied to CephFS - Backport #39210: mimic: mds: mds_cap_revoke_eviction_timeo... Resolved

History

#1 - 04/01/2019 10:06 PM - Patrick Donnelly

- Status changed from Fix Under Review to Pending Backport

#2 - 04/10/2019 09:06 PM - Nathan Cutler

- Copied to Backport #39208: luminous: mds: mds_cap_revoke_eviction_timeout is not used to initialize Server::cap_revoke_eviction_timeout added

#3 - 04/10/2019 09:06 PM - Nathan Cutler

- Copied to Backport #39209: nautilus: mds: mds_cap_revoke_eviction_timeout is not used to initialize Server::cap_revoke_eviction_timeout added

#4 - 04/10/2019 09:06 PM - Nathan Cutler

- Copied to Backport #39210: mimic: mds: mds_cap_revoke_eviction_timeout is not used to initialize Server::cap_revoke_eviction_timeout added

#5 - 10/18/2019 11:39 AM - Nathan Cutler

- Status changed from Pending Backport to Resolved

While running with --resolve-parent, the script "backport-create-issue" noticed that all backports of this issue are in status "Resolved" or "Rejected".
